## nvidia-open-gpu-kernel-modules 535.247.01

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (535.247.01-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 May 2025 22:10:43 +0200

nvidia-open-gpu-kernel-modules (535.247.01-1) unstable; urgency=medium

  * New upstream LTS and Tesla branch release 535.247.01 (2025-04-17).
    * Fixed CVE-2025-23244.  (Closes: #1104076)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5630
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 May 2025 21:25:12 +0200

nvidia-open-gpu-kernel-modules (535.230.02-1) unstable; urgency=medium

  * New upstream LTS and Tesla branch release 535.230.02 (2025-01-16).
    * Fixed CVE-2024-0150, CVE-2024-0147, CVE-2024-53869, CVE-2024-0131,
      CVE-2024-0149.  (Closes: #1093916)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5614
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 03 May 2025 20:16:34 +0200

nvidia-open-gpu-kernel-modules (535.216.03-4) unstable; urgency=medium

  * Do not add -mfunction-return=thunk-extern flag, breaks backwards
    compatibility with kernels built without this flag.
  * Apply both patch sets manually.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Apr 2025 21:06:39 +0200

nvidia-open-gpu-kernel-modules (535.216.03-3) unstable; urgency=medium

  * Backport NV_MODULE_IMPORT_NS_TAKES_STRING_LITERAL and
    NV_CRYPTO_AKCIPHER_VERIFY_PRESENT changes from 550.144.03 and
    NV_FOLIO_TEST_SWAPCACHE_PRESENT changes from 565.57.01 to fix open kernel
    module build for Linux 6.13.
  * Let pahole ignore language c++11 for BTF generation.  (Closes: #1098812)
  * Fix warnings during open module build.
  * Build with more kernel hardening flags.
  * Sync with src:nvidia-graphics-drivers.
  * Bump Standards-Version to 4.7.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 02 Apr 2025 22:07:13 +0200

nvidia-open-gpu-kernel-modules (535.216.03-2) unstable; urgency=medium

  * Sync with src:nvidia-graphics-drivers.  (Closes: #1090361)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 20 Feb 2025 02:32:44 +0100
