## nvidia-open-gpu-kernel-modules 535.261.03

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (535.261.03-1) bookworm; urgency=medium

  * New upstream LTS and Tesla branch release 535.261.03 (2025-07-17).
    * Fixed CVE-2025-23279, CVE-2025-23286.  (Closes: #1109915)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5670
  * Sync with src:nvidia-graphics-drivers.
  * Upload to bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Dec 2025 00:05:31 +0100

nvidia-open-gpu-kernel-modules (535.247.01-2) UNRELEASED; urgency=medium

  * Backport page_pgmap and hmm_make_device_exclusive_range changes from
    570.153.02 to fix open kernel module build for Linux 6.15.
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 06 Jun 2025 15:11:06 +0200

nvidia-open-gpu-kernel-modules (535.179-1) UNRELEASED; urgency=medium

  * New upstream long term support branch release 535.179 (2024-05-09).
  * New upstream long term support branch release 535.171.04 (2024-03-21).
  * Sync with src:nvidia-graphics-drivers.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Jun 2024 09:58:53 +0200
