## nvidia-open-gpu-kernel-modules 545.23.06

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (545.23.06-4) experimental; urgency=medium

  * Backport NV_FOLIO_TEST_SWAPCACHE_PRESENT changes from 565.57.01 and
    NV_MODULE_IMPORT_NS_TAKES_CONSTANT changes from 570.86.15 to fix open
    kernel module build for Linux 6.13.
  * Work around a pahole deadlock while generating btf debug info for the open
    kernel module.  (Closes: #1098812)
  * Fix warnings during open module build.
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Mar 2025 20:00:14 +0100

nvidia-open-gpu-kernel-modules (545.23.06-3) experimental; urgency=medium

  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 20 Feb 2025 21:21:38 +0100

nvidia-open-gpu-kernel-modules (545.23.06-2) experimental; urgency=medium

  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Nov 2024 21:51:16 +0100

nvidia-open-gpu-kernel-modules (545.23.06-1) experimental; urgency=medium

  * New upstream beta 545.23.06 (2023-10-17).
  * Sync with src:nvidia-graphics-drivers.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 29 Mar 2024 09:59:11 +0100
