=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 
 # The generated object files are linked into kernel modules.
 export DEB_BUILD_MAINT_OPTIONS = hardening=-stackprotector
-
-# Avoid warnings on C++ compilation
-export DEB_CFLAGS_MAINT_STRIP	 = -Werror=implicit-function-declaration
 
 include /usr/share/dpkg/pkg-info.mk
 
@@ -70,7 +67,6 @@
 	dh $@
 
 prepare: $(AUTOGEN)
-	QUILT_PATCHES=debian/patches QUILT_SERIES=series-manual quilt --quiltrc /dev/null push -a || test $$? = 2
 	cd kernel-open && QUILT_PATCHES=../debian/patches/module quilt --quiltrc /dev/null push -a || test $$? = 2
 
 override_dh_auto_build: prepare
@@ -93,10 +89,8 @@
 	$(RM) -r test-module-build
 
 execute_after_dh_clean:
-	cd kernel-open && QUILT_PATCHES=../debian/patches/module quilt --quiltrc /dev/null pop -a || test $$? = 2
+	if [ -f debian/patches/module/series ]; then cd kernel-open && QUILT_PATCHES=../debian/patches/module quilt --quiltrc /dev/null pop -a || test $$? = 2 ; fi
 	$(RM) -r kernel-open/.pc/
-	test ! -s .pc/applied-patches || quilt --quiltrc /dev/null pop -a || test $$? = 2
-	$(RM) -r .pc/
 	$(RM) $(filter-out $(AUTOKEEP),$(AUTOGEN))
 	$(if $(AUTOKEEP),$(MAKE) -f debian/rules $(AUTOKEEP))
