=== debian/changelog ===
nvidia-open-gpu-kernel-modules (550.163.01-3) unstable; urgency=medium

  * Backport NV_DMA_BUF_HAS_DYNAMIC_ATTACHMENT changes from 535.261.03 to fix
    open kernel module build for Linux 6.16.  (Closes: #1112186)
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Aug 2025 09:22:01 +0200

nvidia-open-gpu-kernel-modules (550.163.01-2) unstable; urgency=medium

  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 21 Jul 2025 23:45:24 +0200

nvidia-open-gpu-kernel-modules (550.163.01-1) unstable; urgency=medium

  * New upstream production and Tesla branch release 550.163.01 (2025-04-17).
    * Fixed CVE-2025-23244.  (Closes: #1104076)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5630
  * Sync with src:nvidia-graphics-drivers.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 11 Jun 2025 22:32:55 +0200

nvidia-open-gpu-kernel-modules (550.144.03-2) experimental; urgency=medium

  * Backport page_pgmap and hmm_make_device_exclusive_range changes from
    570.153.02 to fix open kernel module build for Linux 6.15.
  * Sync with src:nvidia-graphics-drivers.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Jun 2025 09:42:04 +0200

nvidia-open-gpu-kernel-modules (550.100-1) UNRELEASED; urgency=medium

  * New upstream production branch release 550.100 (2024-07-09).
  * New upstream Tesla branch release 550.90.12 (2024-09-10).

 -- Andreas Beckmann <anbe@debian.org>  Sat, 17 May 2025 01:02:55 +0200
