## nvidia-open-gpu-kernel-modules 555.42.02

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (555.42.02-1) experimental; urgency=medium

  * New upstream beta 555.42.02 (2024-05-21).
  * Backport NV_DMA_BUF_HAS_DYNAMIC_ATTACHMENT changes from 535.261.03 to fix
    open kernel module build for Linux 6.16.
  * Backport page_pgmap and hmm_make_device_exclusive_range changes from
    570.153.02 to fix open kernel module build for Linux 6.15.
  * Sync with src:nvidia-graphics-drivers.
  * Refresh patches.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 29 Jul 2025 12:38:01 +0200
