## nvidia-open-gpu-kernel-modules 555.58.02

=== src/nvidia/Makefile ===
--- 
+++ 
@@ -216,6 +216,7 @@
 	$(call quiet_cmd,OBJCOPY) \
 	  --localize-symbol=memset \
 	  --localize-symbol=memcpy \
+	  --remove-section=.note.gnu.property \
 	  $@
 
 .PHONY: clean
