=== debian/changelog ===
nvidia-open-gpu-kernel-modules (555.58.02-2) experimental; urgency=medium

  * Sync with src:nvidia-graphics-drivers.  (Closes: #1120470)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Nov 2025 01:49:08 +0100

nvidia-open-gpu-kernel-modules (555.58.02-1) experimental; urgency=medium

  * New upstream new feature branch release 555.58.02 (2024-07-01).
  * New upstream new feature branch release 555.58 (2024-06-27).
  * New upstream beta 555.52.04 (2024-06-05).
    * Fixed CVE-2024-0090, CVE-2024-0091, CVE-2024-0092.  (Closes: #1072800)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5551
  * Sync with src:nvidia-graphics-drivers.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 31 Jul 2025 11:34:47 +0200
