=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 # The generated object files are linked into kernel modules.
 export DEB_BUILD_MAINT_OPTIONS = hardening=-stackprotector
+
+# Avoid warnings on C++ compilation
+export DEB_CFLAGS_MAINT_STRIP	 = -Werror=implicit-function-declaration
 
 include /usr/share/dpkg/pkg-info.mk
 
@@ -67,6 +70,7 @@
 	dh $@
 
 prepare: $(AUTOGEN)
+	QUILT_PATCHES=debian/patches QUILT_SERIES=series-manual quilt --quiltrc /dev/null push -a || test $$? = 2
 	cd kernel-open && QUILT_PATCHES=../debian/patches/module quilt --quiltrc /dev/null push -a || test $$? = 2
 
 override_dh_auto_build: prepare
@@ -89,8 +93,10 @@
 	$(RM) -r test-module-build
 
 execute_after_dh_clean:
-	if [ -f debian/patches/module/series ]; then cd kernel-open && QUILT_PATCHES=../debian/patches/module quilt --quiltrc /dev/null pop -a || test $$? = 2 ; fi
+	cd kernel-open && QUILT_PATCHES=../debian/patches/module quilt --quiltrc /dev/null pop -a || test $$? = 2
 	$(RM) -r kernel-open/.pc/
+	test ! -s .pc/applied-patches || quilt --quiltrc /dev/null pop -a || test $$? = 2
+	$(RM) -r .pc/
 	$(RM) $(filter-out $(AUTOKEEP),$(AUTOGEN))
 	$(if $(AUTOKEEP),$(MAKE) -f debian/rules $(AUTOKEEP))
 
@@ -129,7 +135,7 @@
 		--mtime='@$(SOURCE_DATE_EPOCH)' \
 		--clamp-mtime \
 		--remove-files \
-		modules | xz -T1 -9 > $(module_source_txz)
+		modules | xz -T+1 -9 > $(module_source_txz)
 	tar tfv $(module_source_txz)
 
 ############################################################################
