## nvidia-open-gpu-kernel-modules 580.95.05

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (580.95.05-0tux1) testing-nvidia; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 15 Oct 2025 12:24:30 +0200

nvidia-open-gpu-kernel-modules (575.64.05-0~tux1) testing-nvidia; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 05 Sep 2025 09:57:47 +0200

nvidia-open-gpu-kernel-modules (575.64-0tux1) testing-nvidia; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 18 Jun 2025 13:49:49 +0200
