=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Depends:
  ${nvidia}-alternative-${nvidia:Version} | nvidia-alternative-${nvidia:Version},
  nvidia-kernel-common (>= 20151021),
- nvidia-modprobe (>= ${nvidia:Version:major}),
+ nvidia-modprobe (>= 570),
  ${misc:Depends}
 Provides:
  nvidia-kernel-support-any,
