=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export DATE	 = env LC_ALL=POSIX date --utc --date="@$(SOURCE_DATE_EPOCH)"
 export WHOAMI	 = echo buildd
 export HOSTNAME	 = debian
+export LDFLAGS   = 
 
 # The generated object files are linked into kernel modules.
 export DEB_BUILD_MAINT_OPTIONS = hardening=-stackprotector
