## nvidia-open-gpu-kernel-modules 580.105.08

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (580.105.08-0tux1) testing; urgency=medium

  * New upstream release.
    https://www.nvidia.com/en-us/drivers/details/257493/

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 12 Nov 2025 22:03:53 +0100
