## nvidia-open-gpu-kernel-modules 580.119.02

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (580.119.02-0~tux1) testing; urgency=medium

  * New upstream release.
    https://www.nvidia.com/en-us/drivers/details/259042/

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 16 Dec 2025 14:20:23 +0100
