## nvidia-open-gpu-kernel-modules 580.126.18

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (580.126.18-1~tux1) testing; urgency=medium

  * New upstream release.
    https://www.nvidia.com/download/driverResults.aspx/264090/en-us/

 -- Torsten Wohlfarth <tux@tuxedocomputers.com>  Fri, 20 Feb 2026 09:38:10 +0100

nvidia-open-gpu-kernel-modules (580.126.09-2~tux1) testing; urgency=medium

  * force modeset and fbdev to 1 for nvidia-drm

 -- Torsten Wohlfarth <tux@tuxedocomputers.com>  Mon, 09 Feb 2026 11:12:46 +0100

nvidia-open-gpu-kernel-modules (580.126.09-1~tux1) testing; urgency=medium

  * fix debian/nvidia-load.conf.in

 -- Torsten Wohlfarth <tux@tuxedocomputers.com>  Thu, 05 Feb 2026 17:08:24 +0100

nvidia-open-gpu-kernel-modules (580.126.09-0~tux1) testing; urgency=medium

  * New upstream release.
    CHanges: https://www.nvidia.com/en-us/drivers/details/261243/

 -- Torsten Wohlfarth <tux@tuxedocomputers.com>  Thu, 15 Jan 2026 10:44:32 +0100
